Subject: Begonia - no flowers

From: "R�jeanne Lalonde" <[email-masked]>
Date: 7 Mar 1995 16:41:01 GMT

I bought what is probably a tuberous begonia (no label) over a year
ago, with beautiful flowers.  It kept flowering for a long time, then
stopped.  The books advised me to throw it out, but I thought I'd try
to get another flowering out of it.  Well, I haven't...

It kept growing, getting very top heavy, so I cut it back, rooting
the cuttings.  I now have about five very healthy plants, but none of
them have any flowers.

Any suggestions?

Rejeanne Lalonde